<!DOCTYPE html>
<html lang="en">

<head>
    <title>Quản lý đơn hàng (CRUD)</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<style>
    .dataTables_wrapper {
  color: #333333;
  font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 14px;
}

.dataTables_wrapper .dataTables_filter input[type="search"] {
  border: 1px solid #cccccc;
  padding: 5px;
  background-color: #ffffff;
  border-radius: 5px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  background-color: #7b1fa2;
  color: #cdadad !important;
  border-radius: 5px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
  background-color: #9c27b0;
  color: #ffffff !important;
  border-radius: 5px;
}

</style>

</head>

<body>
    <!-- header -->
    <div class="container">
        <div class="text-center mt-3">
            <h2 style="color:#7b1fa2"><b>__** Quản lý đơn hàng Pizza **__</b></h2>
        </div>
        <div class="form-group">
            <button class="btn btn-success" id="btn-add-order" style="background-color: purple;"><i
                    class="fa fa-plus"></i>&nbsp;&nbsp; <b>Tạo Đơn Mới</b></button>
        </div>

        <div class="col-sm-12 col-md-6 mb-3 mt-3">

            <select id='sel-pizza' class="dataTables_filter" style=" height:35px">
                <option value="all">Lọc theo loại Pizza</option>
                <option value='Seafood'>Hải sản</option>
                <option value='Hawaii'>Hawaii</option>
                <option value='Bacon'>Thịt hun khói</option>
            </select>
            <select id='sel-status' class="dataTables_filter" style=" height:35px">
                <option value="all">Lọc theo trạng thái đơn hàng</option>
                <option value='open'>Open</option>
                <option value='cancel'>Đã hủy</option>
                <option value='confirmed'>Đã xác nhận</option>
            </select>
            <button class="btn btn-danger ml-4 " id="btn-loc-order" style="background-color: rgb(108, 5, 108);"><i
                    class="fa fa-filter"></i>&nbsp;<b>Lọc</b></button>
        </div>


    </div>
    <!-- User Data Table -->
    <div class="container">
        <table class="table table-bordered table-striped table-hover dataTables_paginate" id="order-table">
            <thead>
                <tr class="text-white" style="background-color: #9c27b0;">
                    <th>Id</th>
                    <th>Order Code</th>
                    <th>Loại Pizza</th>
                    <th>Họ và tên</th>
                    <th>Thành Tiền</th>
                    <th>Status</th>
                    <th>Action</th>

                </tr>
            </thead>
        </table>
    </div>

    <!-- Modal -->
    <div id="create-order-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Tạo Đơn Hàng Mới</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- Modal body - chứa form dữ liệu -->
                <div class="modal-body">
                    <form> <!-- form thiết kế như form bình thường, theo grid model -->
                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Kích Cỡ</label>
                            <div class="col-sm-8">
                                <select class="form-control" id="select-create-size" onchange="optionCheck(this);">
                                    <option value="" style="color: aqua;">Chọn Size Pizza</option>
                                    <option value="S">Small</option>
                                    <option value="M">Medium</option>
                                    <option value="L">Large</option>
                                </select>
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Đường kính</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-duongkinh" value="" readonly>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Sườn</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-suon" value="" readonly>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Salad</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-salad" value="" readonly>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Số Lượng Nước</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-soluongnuoc" value="" readonly>
                            </div>
                        </div>
                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Thành Tiền</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-thanhtien" value="" readonly>
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Loại Pizza</label>
                            <div class="col-sm-8">
                                <select class="form-control" id="select-create-pizza-type">
                                    <option value="Seafood">Hải Sản</option>
                                    <option value="Hawaii">Hawaii</option>
                                    <option value="Bacon">Thịt hun khói</option>
                                </select>
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Mã Giảm Giá</label>
                            <div class="col-sm-8">
                                <input type="number" class="form-control" id="input-create-id-voucher">
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Loại nước uống</label>
                            <div class="col-sm-8">
                                <select class="form-control" id="select-create-drink">

                                </select>
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Họ và Tên</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-name">
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Email</label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control" id="input-create-email">
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Số điện thoại</label>
                            <div class="col-sm-8">
                                <input type="number" class="form-control" id="input-create-phone">
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Địa chỉ</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-address">
                            </div>
                        </div>

                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Lời nhắn</label>
                            <div class="col-sm-8">
                                <input class="form-control" id="input-create-note">
                            </div>
                        </div>



                        <div class="row form-group">
                            <label class="col-sm-4 col-form-label">Trạng Thái</label>
                            <div class="col-sm-8">
                                <select class="form-control" id="select-create-status">

                                    <option value="open">Open</option>
                                    <option value="cancel">Đã hủy</option>
                                    <option value="confirmed">Đã xác nhận</option>
                                </select>
                            </div>
                        </div>

                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" id="btn-create-order" class="btn btn-secondary">Tạo Đơn</button>
                    <button type="button" id="btn-create-cancel" class="btn btn-secondary"
                        data-dismiss="modal">Hủy</button>
                </div>
            </div>
        </div>
    </div>


    <!-- Modal Update -->
    <div id="update-order-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Sửa đơn hàng</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="row form-group">
                    <label class="col-sm-4 col-form-label text-center">Trạng Thái</label>
                    <div class="col-sm-8 mt-1">
                        <select class="form-control" id="select-update-status">

                            <option value="open">Open</option>
                            <option value="cancel">Đã hủy</option>
                            <option value="confirmed">Đã xác nhận</option>
                        </select>
                    </div>
                </div>

                <div class="modal-footer">
                    <button type="button" id="btn-update-order" class="btn btn-secondary"
                        style="background-color: red;">Xác nhận</button>
                    <button type="button" id="btn-update-cancel" class="btn btn-secondary" data-dismiss="modal">Hủy
                        bỏ</button>
                </div>
            </div>
        </div>
    </div>
    <!---Modal Delete-->
    <div class="modal fade" id="delete-modal">
        <div class="modal-dialog">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Confirm Delete</h4>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    Are you sure Delete?
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button id="btn-confirm-delete" type="button" class="btn btn-danger">Yes</button>
                    <button id="btn-cancel-delete" type="button" class="btn btn-danger">Close</button>
                </div>

            </div>
        </div>



</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    var gORDERId = 0;
    const gCONTENT_TYPE = "application/json;charset=UTF-8";

    const gORDER_COLS = ["id", "orderCode", "loaiPizza", "hoTen", "thanhTien", "trangThai", "action"];

    const gORDER_ID_COL = 0;
    const gORDER_ORDERCODE_COL = 1;
    const gORDER_PIZZA_TYPE_COL = 2;
    const gORDER_NAME_COL = 3;
    const gORDER_THANHTIEN_COL = 4;
    const gORDER_STATUS_COL = 5;
    const gORDER_ACTION_COL = 6;

    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_STATUS_DELETE_OK = 204;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_STATUS_CREATE_OK = 201;

    var gDataOrders = [];

    var gOrderTable = $("#order-table").DataTable({
        columns: [
           
            { data: gORDER_COLS[gORDER_ID_COL] },
            { data: gORDER_COLS[gORDER_ORDERCODE_COL] },
            { data: gORDER_COLS[gORDER_PIZZA_TYPE_COL] },
            { data: gORDER_COLS[gORDER_NAME_COL] },
            { data: gORDER_COLS[gORDER_THANHTIEN_COL] },
            { data: gORDER_COLS[gORDER_STATUS_COL] },
            { data: gORDER_COLS[gORDER_ACTION_COL] },

        ],
        columnDefs: [
            {
                targets: gORDER_ACTION_COL,
                defaultContent: `
                <img class="edit-order" src="https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png" style="width: 20px;cursor:pointer;">
<img class="delete-order" src="https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png" style="width: 20px;cursor:pointer;">

                `
            }
        ]
    });
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */



    // Hàm xử lý sự kiện khi load trang
    $(document).ready(function () {
        onPageLoading();
        // ẩn thanh search!
        $('#order-table_filter').hide();

    })
    // Hàm xử lý sự kiện khi load trang
    function onPageLoading() {

        getAllOrders();
    }
    // 2 - C: gán sự kiện Create -  Thêm mới order
    $("#btn-add-order").on("click", function () {
        onBtnAddNewOrderClick(this);
    });
    // 3 - U: gán sự kiện Update -  Sửa order
    $("#order-table").on("click", ".edit-order", function () {
        onBtnEditOrderClick(this);
    });
    // 4 - D : Xóa
    $("#order-table").on("click", ".delete-order", function () {

        onBtnDeleteOrderClick(this);
    });

    // gán sự kiện cho icon Delete
    $("#order-table").on("click", ".delete-order", function () {
        console.log("Delete User");
        onBtnIconDeleteClick(this);
    });
    // hàm xử lý sự kiện khi bấm icon Delete
    function onBtnIconDeleteClick() {
        $("#delete-order-modal").modal("show");
    }

    // gán sự kiện cho nút Create order ( trên modal)
    $("#btn-create-order").on("click", function () {
        onBtnCreateOrderClick();
    });
    // gán sự kiện cho nút Confirm Delete đơn hàng
    $("#btn-confirm-delete-order").on("click", function () {
        onBtnDeleteOrderClick();
    });
    $("#btn-loc-order").on("click", function () {
        var vStatus = $("#sel-status").val();
        var vPizzaType = $("#sel-pizza").val();
        onBtnFilterDataClick(vStatus, vPizzaType);
    });
    // hàm xử lý sự kiện create user modal click
    function onBtnCreateOrderClick() {
        // khai báo đối tượng chứa order data
        var vObjectRequestData = {
            kichCo: "",
            duongKinh: "",
            suon: "",
            salad: "",
            soLuongNuoc: "",
            thanhTien: "",
            loaiPizza: "",
            idVourcher: "",
            idLoaiNuocUong: "",
            hoTen: "",
            email: "",
            soDienThoai: "",
            diaChi: "",
            loiNhan: "",
            trangThai: ""
        };
        // B1: Thu thập dữ liệu
        getCreateOrderData(vObjectRequestData);
        // B2: Validate insert
        var vIsValidate = validateOrderData(vObjectRequestData);
        // ghi ra console giá trị trả ra của hàm validateUserData
        console.log(vIsValidate);
        if (vIsValidate) {
            // B3: insert user
            createOrder(vObjectRequestData);

        }
        // B4: xử lý front-end
    }

    // hàm thu thập dữ liệu để create user
    function getCreateOrderData(paramOrderObj) {
        paramOrderObj.kichCo = $("#select-create-size").val();
        paramOrderObj.duongKinh = $("#input-create-duongkinh").val();
        paramOrderObj.suon = $("#input-create-suon").val();
        paramOrderObj.salad = $("#input-create-salad").val();
        paramOrderObj.soLuongNuoc = $("#input-create-soluongnuoc").val();
        paramOrderObj.thanhTien = $("#input-create-thanhtien").val();
        paramOrderObj.loaiPizza = $("#select-create-pizza-type").val();
        paramOrderObj.idVourcher = $("#input-create-id-voucher").val().trim();
        paramOrderObj.idLoaiNuocUong = $("#select-create-drink").val();
        paramOrderObj.hoTen = $("#input-create-name").val().trim();
        paramOrderObj.email = $("#input-create-email").val().trim();
        paramOrderObj.soDienThoai = $("#input-create-phone").val().trim();
        paramOrderObj.diaChi = $("#input-create-address").val().trim();
        paramOrderObj.loiNhan = $("#input-create-note").val().trim();
        paramOrderObj.trangThai = $("#select-create-status").val();
    }
    // Hàm lấy tất cả dữ liệu từ API
    function getAllOrders() {

        $.ajax({

            url: gBASE_URL,
            type: "GET",
            success: function (paramUsers) {
                console.log(paramUsers);
                gDataOrders = paramUsers;
                loadDataToOrderTable(paramUsers);

            },
            error: function (paramErr) {
                console.log(paramErr.status);
            }
        });
    }
    // Load dữ liệu lên Order Table
    function loadDataToOrderTable(paramUsers) {
        gOrderTable.clear();
        gOrderTable.rows.add(paramUsers);
        gOrderTable.draw();
    }
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnAddNewOrderClick() {
        $("#create-order-modal").modal("show");
        // load đồ uống
        getDrinkList();
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm validate
    function validateOrderData(paramOrderObj) {
        if (paramOrderObj.kichCo === "") {
            alert("Chọn kích cỡ Pizza");
            return false;
        }
        if (paramOrderObj.hoTen === "") {
            alert("Họ Tên cần nhập");
            return false;
        }
        if (isEmail(paramOrderObj.email) == false) {
            return false;
        }
        if (paramOrderObj.soDienThoai === "") {
            alert("Số điện thoại cần nhập");
            return false;
        }
        if (paramOrderObj.diaChi === "") {
            alert("Địa chỉ cần nhập");
            return false;
        }


        return true;
    }
    //hàm kiểm tra email
    function isEmail(paramEmail) {
        if (paramEmail < 3) {
            alert("Nhập email...");
            return false;
        }
        if (paramEmail.indexOf("@") === -1) {
            alert("Email phải có ký tự @");
            return false;
        }
        if (paramEmail.startsWith("@") === true) {
            alert("Email không bắt đầu bằng @");
            return false;
        }
        if (paramEmail.endsWith("@") === true) {
            alert("Email kết thúc bằng @");
            return false;
        }
        return true;
    }
    // tự điền thông tin khi chọn combo pizza
    function optionCheck(that) {
        if (that.value == "S") {
            $("#input-create-duongkinh").val(20);
            $("#input-create-suon").val(2);
            $("#input-create-salad").val(200);
            $("#input-create-soluongnuoc").val(2);
            $("#input-create-thanhtien").val(150000)
        } else if (that.value == "M") {
            $("#input-create-duongkinh").val(25);
            $("#input-create-suon").val(4);
            $("#input-create-salad").val(300);
            $("#input-create-soluongnuoc").val(3);
            $("#input-create-thanhtien").val(200000)
        } else if (that.value == "L") {
            $("#input-create-duongkinh").val(30);
            $("#input-create-suon").val(8);
            $("#input-create-salad").val(500);
            $("#input-create-soluongnuoc").val(4);
            $("#input-create-thanhtien").val(250000)
        } else {
            $("#input-create-duongkinh").val("");
            $("#input-create-suon").val("");
            $("#input-create-salad").val("");
            $("#input-create-soluongnuoc").val("");
            $("#input-create-thanhtien").val("");
        }
    }

    // Nước uống
    function getDrinkList() {
        "use strict";
        $.ajax({

            url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
            type: "GET",
            success: function (resDrinksList) {
                console.log(resDrinksList);

                loadDrinksToModalAddNew(resDrinksList);

            },
            error: function (paramErr) {
                console.log(paramErr.status);
            }
        });


    }
    // hàm truyền dự liệu  Drinks
    function loadDrinksToModalAddNew(paramDrinksList) {
        $.each(paramDrinksList, function (i, item) {
            $("#select-create-drink").append($(`<option>`, {
                text: item.tenNuocUong,
                value: item.maNuocUong,
            }));
        });
    }
    function createOrder(paramObj) {
        //data to be sent 

        var vUserNeedCreate = {
            kichCo: paramObj.kichCo,
            duongKinh: paramObj.duongKinh,
            suon: paramObj.suon,
            salad: paramObj.salad,
            loaiPizza: paramObj.loaiPizza,
            idVourcher: paramObj.idVourcher,
            idLoaiNuocUong: paramObj.idLoaiNuocUong,
            soLuongNuoc: paramObj.soLuongNuoc,
            hoTen: paramObj.hoTen,
            thanhTien: paramObj.thanhTien,
            email: paramObj.email,
            soDienThoai: paramObj.soDienThoai,
            diaChi: paramObj.diaChi,
            loiNhan: paramObj.loiNhan
        };
        $.ajax({
            url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
            type: "POST",
            contentType: "application/json; charset-UTF-8",
            data: JSON.stringify(vUserNeedCreate),
            success: function (resNewOrder) {
                console.log(resNewOrder);
                handleInsertUserSuccess();

            },
            error: function (ajaxContext) {
                console.log(ajaxContext.responseText);
            },
        });

    }

    // xử lý front-end
    function handleInsertUserSuccess() {
        alert("Thêm order thành công");
        getAllOrders();
        resetCreateUserForm();
        $("#create-order-modal").modal("hide");
        window.location.reload();
    }
    // reset data create order
    function resetCreateUserForm() {
        $("#select-create-size").val("");
        $("#input-create-id-voucher").val("");
        $("#input-create-name").val("");
        $("#input-create-email").val("");
        $("#input-create-phone").val("");
        $("#input-create-address").val("");
        $("#select-create-status").val("open");
        $("#select-create-drink").val("Trà tắc");
    }
    // hàm xử lý sự kiện Delete

    function getOrderIdFromButton(paramButton) {

        var vTableRow = $(paramButton).parents("tr");
        var vUserRowData = gOrderTable.row(vTableRow).data();
        return vUserRowData.id;
    }
    // hàm xử lý sự kiện confirm delete 
    function onBtnDeleteOrderClick(paramBtnDelete) {
        "use strict";
        gORDERId = getOrderIdFromButton(paramBtnDelete);
        var gOrderStatus = getStatusFromButton(paramBtnDelete);
        $("#delete-modal").modal("show");
        $("#btn-confirm-delete").on("click", function () {
            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/orders" + "/" + gORDERId,
                type: "DELETE",
                dataType: "json",
                success: function (res) {
                    alert("Delete success");
                    $("#delete-modal").modal("hide");
                    window.location.reload();

                },
                error: function (ajaxContext) {
                    console.log(ajaxContext.responseText);
                },
            });
        });
        $("#btn-cancel-delete").on("click", function () {
            $("#delete-modal").modal("hide");
        });

        
    }

    function onBtnEditOrderClick(paramBtnEdit) {

        gORDERId = getOrderIdFromButton(paramBtnEdit);
        var gOrderStatus = getStatusFromButton(paramBtnEdit);


        console.log("Id của order tương ứng = " + gORDERId);
        console.log("Status của order tương ứng = " + gOrderStatus);

        $("#select-update-status").val(gOrderStatus);
        $("#update-order-modal").modal("show");
        $("#btn-update-order").on("click", function () {
            var vObjectRequest = {
                trangThai: $("#select-update-status").val() //3 trang thai open, confirmed, cancel
            }

            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/orders" + "/" + gORDERId,
                type: "PUT",
                contentType: "application/json; charset-UTF-8",
                data: JSON.stringify(vObjectRequest),
                success: function (resNewOrderStatus) {
                    console.log(resNewOrderStatus);
                    alert("sửa và cập nhật thành công");
                    window.location.reload();

                },
                error: function (ajaxContext) {
                    console.log(ajaxContext.responseText);
                },
            });
        });


    }
    function getOrderIdFromButton(paramButton) {

        var vTableRow = $(paramButton).parents("tr");
        var vUserRowData = gOrderTable.row(vTableRow).data();
        return vUserRowData.id;
    }
    function getStatusFromButton(paramButton) {

        var vTableRow = $(paramButton).parents("tr");
        var vUserRowData = gOrderTable.row(vTableRow).data();
        return vUserRowData.trangThai;
    }

    function onBtnFilterDataClick(paramStatus, paramPizzaType) {
        "use strict";
        console.log("CLICK NÈ >>>>>>......");
        console.log(gDataOrders);

        console.log(paramPizzaType.toUpperCase());

        var vDataFilter = gDataOrders.filter(function (gDataOrders, index) {
            return (paramStatus === "all" || paramStatus.toUpperCase() === gDataOrders.trangThai.toUpperCase())
                && (paramPizzaType === "all" || paramPizzaType.toUpperCase() === gDataOrders.loaiPizza.toUpperCase())
        });
        //
        loadDataToTable(vDataFilter);
    }

    function loadDataToTable(paramResponseObject) {
        "use strict";
        var vUserTable = $("#order-table").DataTable();
        // 
        vUserTable.clear();
        //
        vUserTable.rows.add(paramResponseObject);
        //
        vUserTable.draw();
    }
</script>

</html>